0

Trying to install Firefox 3.5 to Windows XP Media Center with SP3, I get notice that the computer does not meet minimum requirements to run Firefox! Not sure why. Is HP Pavilian DV2000 with AMD Turion processor, 512M RAM, 100G HD. Google search turns up no help.

  • 4
    please post the exact wording of the error message, thank you. – Molly7244 Aug 26 '09 at 22:23
1

make sure you have enough free RAM and free space on the hard drive.

|improve this answer|||||
1

It could be that the installer is not correctly recognising your operating system and service pack. But, it's more likely that you don't have enough disk space or RAM on the machine.

|improve this answer|||||
0

Are you sure you got enough space on the harddisk? Without exact wording of error message we can only guess, but I doubt processor etc matter much

|improve this answer|||||
0

In case it helps, I am running FF 3.5 on that exact same OS and patch level and it seems to be working. If you indicate the error you are getting I might be able to help further.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy